<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.news.dao.ibatis.NewsDaoImpl">

    <!-- 字段和属性映射 -->
    <resultMap type="NewsEntity" id="NewsEntity-Map">
        <id  property="id" column="id" />
        <result property="categoryId" column="categoryId" />
        <result property="categoryName" column="categoryName" />
        <result property="title" column="title" />
        <result property="titleLogoPath" column="titleLogoPath" />
        <result property="content" column="content" />
        <result property="top" column="top" />
        <result property="viewNums" column="viewNums" />
        <result property="publishTime" column="publishTime" />
        <result property="createUserId" column="createUserId" />
        <result property="createTime" column="createTime" />
        <result property="updateUserId" column="updateUserId" />
        <result property="updateTime" column="updateTime" />
        <result property="upNums" column="upNums" />
        <result property="editor" column="editor" />
        <result property="shareNums" column="shareNums" />
        <result property="deptId" column="deptId" />
        <result property="deptName" column="deptName" />
        <result property="statement" column="statement" />
        <result property="source" column="source" />
        <result property="remark" column="remark" />
        <result property="relatedCompany" column="relatedCompany" />
        <result property="videoUrl" column="videoUrl" />
    </resultMap>

    <!-- 表所有列 -->
    <sql id="_columns">
        <trim suffixOverrides="," suffix="">
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('id') or colPickMode == 1 and data.containsKey('id')))">
                a.id,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('categoryId') or colPickMode == 1 and data.containsKey('categoryId')))">
                a.categoryId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('categoryName') or colPickMode == 1 and data.containsKey('categoryName')))">
                a.categoryName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('title') or colPickMode == 1 and data.containsKey('title')))">
                a.title,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('titleLogoPath') or colPickMode == 1 and data.containsKey('titleLogoPath')))">
                a.titleLogoPath,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('content') or colPickMode == 1 and data.containsKey('content')))">
                a.content,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('top') or colPickMode == 1 and data.containsKey('top')))">
                a.top,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('viewNums') or colPickMode == 1 and data.containsKey('viewNums')))">
                a.viewNums,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('publishTime') or colPickMode == 1 and data.containsKey('publishTime')))">
                a.publishTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createUserId') or colPickMode == 1 and data.containsKey('createUserId')))">
                a.createUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createTime') or colPickMode == 1 and data.containsKey('createTime')))">
                a.createTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateUserId') or colPickMode == 1 and data.containsKey('updateUserId')))">
                a.updateUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateTime') or colPickMode == 1 and data.containsKey('updateTime')))">
                a.updateTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('upNums') or colPickMode == 1 and data.containsKey('upNums')))">
                a.upNums,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('editor') or colPickMode == 1 and data.containsKey('editor')))">
                a.editor,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('shareNums') or colPickMode == 1 and data.containsKey('shareNums')))">
                a.shareNums,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptId') or colPickMode == 1 and data.containsKey('deptId')))">
                a.deptId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptName') or colPickMode == 1 and data.containsKey('deptName')))">
                a.deptName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('statement') or colPickMode == 1 and data.containsKey('statement')))">
                a.statement,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('source') or colPickMode == 1 and data.containsKey('source')))">
                a.source,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('remark') or colPickMode == 1 and data.containsKey('remark')))">
                a.remark,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('relatedCompany') or colPickMode == 1 and data.containsKey('relatedCompany')))">
                a.relatedCompany,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('videoUrl') or colPickMode == 1 and data.containsKey('videoUrl')))">
                a.videoUrl,
            </if>
        </trim>
    </sql>
    <!-- 新增 区分主键自增加还是业务插入 -->
    <insert id="insert" parameterType="NewsEntity"  useGeneratedKeys="true" keyProperty="id">
        insert into mortals_xhx_news
        (categoryId,categoryName,title,titleLogoPath,content,top,viewNums,publishTime,createUserId,createTime,updateUserId,updateTime,upNums,editor,shareNums,deptId,deptName,statement,source,remark,relatedCompany,videoUrl)
        VALUES
        (#{categoryId},#{categoryName},#{title},#{titleLogoPath},#{content},#{top},#{viewNums},#{publishTime},#{createUserId},#{createTime},#{updateUserId},#{updateTime},#{upNums},#{editor},#{shareNums},#{deptId},#{deptName},#{statement},#{source},#{remark},#{relatedCompany},#{videoUrl})
    </insert>

    <!-- 批量新增 -->
    <insert id="insertBatch" parameterType="paramDto">
        insert into mortals_xhx_news
        (categoryId,categoryName,title,titleLogoPath,content,top,viewNums,publishTime,createUserId,createTime,updateUserId,updateTime,upNums,editor,shareNums,deptId,deptName,statement,source,remark,relatedCompany,videoUrl)
        VALUES
        <foreach collection="data.dataList" item="item" index="index" separator="," >
            (#{item.categoryId},#{item.categoryName},#{item.title},#{item.titleLogoPath},#{item.content},#{item.top},#{item.viewNums},#{item.publishTime},#{item.createUserId},#{item.createTime},#{item.updateUserId},#{item.updateTime},#{item.upNums},#{item.editor},#{item.shareNums},#{item.deptId},#{item.deptName},#{item.statement},#{item.source},#{item.remark},#{item.relatedCompany},#{item.videoUrl})
        </foreach>
    </insert>


    <!-- 根据ParamDto更新 -->
    <update id="update" parameterType="paramDto">
        update mortals_xhx_news as a
        set
        <trim suffixOverrides="," suffix="">
            <if test="(colPickMode==0 and data.containsKey('categoryId')) or (colPickMode==1 and !data.containsKey('categoryId'))">
                a.categoryId=#{data.categoryId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('categoryIdIncrement')) or (colPickMode==1 and !data.containsKey('categoryIdIncrement'))">
                a.categoryId=ifnull(a.categoryId,0) + #{data.categoryIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('categoryName')) or (colPickMode==1 and !data.containsKey('categoryName'))">
                a.categoryName=#{data.categoryName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('title')) or (colPickMode==1 and !data.containsKey('title'))">
                a.title=#{data.title},
            </if>
            <if test="(colPickMode==0 and data.containsKey('titleLogoPath')) or (colPickMode==1 and !data.containsKey('titleLogoPath'))">
                a.titleLogoPath=#{data.titleLogoPath},
            </if>
            <if test="(colPickMode==0 and data.containsKey('content')) or (colPickMode==1 and !data.containsKey('content'))">
                a.content=#{data.content},
            </if>
            <if test="(colPickMode==0 and data.containsKey('top')) or (colPickMode==1 and !data.containsKey('top'))">
                a.top=#{data.top},
            </if>
            <if test="(colPickMode==0 and data.containsKey('topIncrement')) or (colPickMode==1 and !data.containsKey('topIncrement'))">
                a.top=ifnull(a.top,0) + #{data.topIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('viewNums')) or (colPickMode==1 and !data.containsKey('viewNums'))">
                a.viewNums=#{data.viewNums},
            </if>
            <if test="(colPickMode==0 and data.containsKey('viewNumsIncrement')) or (colPickMode==1 and !data.containsKey('viewNumsIncrement'))">
                a.viewNums=ifnull(a.viewNums,0) + #{data.viewNumsIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('publishTime')) or (colPickMode==1 and !data.containsKey('publishTime'))">
                a.publishTime=#{data.publishTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserId')) or (colPickMode==1 and !data.containsKey('createUserId'))">
                a.createUserId=#{data.createUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserIdIncrement')) or (colPickMode==1 and !data.containsKey('createUserIdIncrement'))">
                a.createUserId=ifnull(a.createUserId,0) + #{data.createUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createTime')) or (colPickMode==1 and !data.containsKey('createTime'))">
                a.createTime=#{data.createTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserId')) or (colPickMode==1 and !data.containsKey('updateUserId'))">
                a.updateUserId=#{data.updateUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !data.containsKey('updateUserIdIncrement'))">
                a.updateUserId=ifnull(a.updateUserId,0) + #{data.updateUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateTime')) or (colPickMode==1 and !data.containsKey('updateTime'))">
                a.updateTime=#{data.updateTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('upNums')) or (colPickMode==1 and !data.containsKey('upNums'))">
                a.upNums=#{data.upNums},
            </if>
            <if test="(colPickMode==0 and data.containsKey('upNumsIncrement')) or (colPickMode==1 and !data.containsKey('upNumsIncrement'))">
                a.upNums=ifnull(a.upNums,0) + #{data.upNumsIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('editor')) or (colPickMode==1 and !data.containsKey('editor'))">
                a.editor=#{data.editor},
            </if>
            <if test="(colPickMode==0 and data.containsKey('shareNums')) or (colPickMode==1 and !data.containsKey('shareNums'))">
                a.shareNums=#{data.shareNums},
            </if>
            <if test="(colPickMode==0 and data.containsKey('shareNumsIncrement')) or (colPickMode==1 and !data.containsKey('shareNumsIncrement'))">
                a.shareNums=ifnull(a.shareNums,0) + #{data.shareNumsIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptId')) or (colPickMode==1 and !data.containsKey('deptId'))">
                a.deptId=#{data.deptId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptIdIncrement')) or (colPickMode==1 and !data.containsKey('deptIdIncrement'))">
                a.deptId=ifnull(a.deptId,0) + #{data.deptIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptName')) or (colPickMode==1 and !data.containsKey('deptName'))">
                a.deptName=#{data.deptName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('statement')) or (colPickMode==1 and !data.containsKey('statement'))">
                a.statement=#{data.statement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('source')) or (colPickMode==1 and !data.containsKey('source'))">
                a.source=#{data.source},
            </if>
            <if test="(colPickMode==0 and data.containsKey('remark')) or (colPickMode==1 and !data.containsKey('remark'))">
                a.remark=#{data.remark},
            </if>
            <if test="(colPickMode==0 and data.containsKey('relatedCompany')) or (colPickMode==1 and !data.containsKey('relatedCompany'))">
                a.relatedCompany=#{data.relatedCompany},
            </if>
            <if test="(colPickMode==0 and data.containsKey('videoUrl')) or (colPickMode==1 and !data.containsKey('videoUrl'))">
                a.videoUrl=#{data.videoUrl},
            </if>
        </trim>
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </update>
    <!-- 批量更新 -->
    <update id="updateBatch" parameterType="paramDto">
        update mortals_xhx_news as a
        <trim prefix="set" suffixOverrides=",">
            <trim prefix="categoryId=(case" suffix="ELSE categoryId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('categoryId')) or (colPickMode==1 and !item.containsKey('categoryId'))">
                            when a.id=#{item.id} then #{item.categoryId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('categoryIdIncrement')) or (colPickMode==1 and !item.containsKey('categoryIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.categoryId,0) + #{item.categoryIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="categoryName=(case" suffix="ELSE categoryName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('categoryName')) or (colPickMode==1 and !item.containsKey('categoryName'))">
                        when a.id=#{item.id} then #{item.categoryName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="title=(case" suffix="ELSE title end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('title')) or (colPickMode==1 and !item.containsKey('title'))">
                        when a.id=#{item.id} then #{item.title}
                    </if>
                </foreach>
            </trim>
            <trim prefix="titleLogoPath=(case" suffix="ELSE titleLogoPath end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('titleLogoPath')) or (colPickMode==1 and !item.containsKey('titleLogoPath'))">
                        when a.id=#{item.id} then #{item.titleLogoPath}
                    </if>
                </foreach>
            </trim>
            <trim prefix="content=(case" suffix="ELSE content end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('content')) or (colPickMode==1 and !item.containsKey('content'))">
                        when a.id=#{item.id} then #{item.content}
                    </if>
                </foreach>
            </trim>
            <trim prefix="top=(case" suffix="ELSE top end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('top')) or (colPickMode==1 and !item.containsKey('top'))">
                            when a.id=#{item.id} then #{item.top}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('topIncrement')) or (colPickMode==1 and !item.containsKey('topIncrement'))">
                            when a.id=#{item.id} then ifnull(a.top,0) + #{item.topIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="viewNums=(case" suffix="ELSE viewNums end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('viewNums')) or (colPickMode==1 and !item.containsKey('viewNums'))">
                            when a.id=#{item.id} then #{item.viewNums}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('viewNumsIncrement')) or (colPickMode==1 and !item.containsKey('viewNumsIncrement'))">
                            when a.id=#{item.id} then ifnull(a.viewNums,0) + #{item.viewNumsIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="publishTime=(case" suffix="ELSE publishTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('publishTime')) or (colPickMode==1 and !item.containsKey('publishTime'))">
                        when a.id=#{item.id} then #{item.publishTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="createUserId=(case" suffix="ELSE createUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('createUserId')) or (colPickMode==1 and !item.containsKey('createUserId'))">
                            when a.id=#{item.id} then #{item.createUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('createUserIdIncrement')) or (colPickMode==1 and !item.containsKey('createUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.createUserId,0) + #{item.createUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="createTime=(case" suffix="ELSE createTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('createTime')) or (colPickMode==1 and !item.containsKey('createTime'))">
                        when a.id=#{item.id} then #{item.createTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="updateUserId=(case" suffix="ELSE updateUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('updateUserId')) or (colPickMode==1 and !item.containsKey('updateUserId'))">
                            when a.id=#{item.id} then #{item.updateUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !item.containsKey('updateUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.updateUserId,0) + #{item.updateUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="updateTime=(case" suffix="ELSE updateTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('updateTime')) or (colPickMode==1 and !item.containsKey('updateTime'))">
                        when a.id=#{item.id} then #{item.updateTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="upNums=(case" suffix="ELSE upNums end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('upNums')) or (colPickMode==1 and !item.containsKey('upNums'))">
                            when a.id=#{item.id} then #{item.upNums}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('upNumsIncrement')) or (colPickMode==1 and !item.containsKey('upNumsIncrement'))">
                            when a.id=#{item.id} then ifnull(a.upNums,0) + #{item.upNumsIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="editor=(case" suffix="ELSE editor end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('editor')) or (colPickMode==1 and !item.containsKey('editor'))">
                        when a.id=#{item.id} then #{item.editor}
                    </if>
                </foreach>
            </trim>
            <trim prefix="shareNums=(case" suffix="ELSE shareNums end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('shareNums')) or (colPickMode==1 and !item.containsKey('shareNums'))">
                            when a.id=#{item.id} then #{item.shareNums}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('shareNumsIncrement')) or (colPickMode==1 and !item.containsKey('shareNumsIncrement'))">
                            when a.id=#{item.id} then ifnull(a.shareNums,0) + #{item.shareNumsIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="deptId=(case" suffix="ELSE deptId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('deptId')) or (colPickMode==1 and !item.containsKey('deptId'))">
                            when a.id=#{item.id} then #{item.deptId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('deptIdIncrement')) or (colPickMode==1 and !item.containsKey('deptIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.deptId,0) + #{item.deptIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="deptName=(case" suffix="ELSE deptName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('deptName')) or (colPickMode==1 and !item.containsKey('deptName'))">
                        when a.id=#{item.id} then #{item.deptName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="statement=(case" suffix="ELSE statement end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('statement')) or (colPickMode==1 and !item.containsKey('statement'))">
                        when a.id=#{item.id} then #{item.statement}
                    </if>
                </foreach>
            </trim>
            <trim prefix="source=(case" suffix="ELSE source end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('source')) or (colPickMode==1 and !item.containsKey('source'))">
                        when a.id=#{item.id} then #{item.source}
                    </if>
                </foreach>
            </trim>
            <trim prefix="remark=(case" suffix="ELSE remark end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('remark')) or (colPickMode==1 and !item.containsKey('remark'))">
                        when a.id=#{item.id} then #{item.remark}
                    </if>
                </foreach>
            </trim>
            <trim prefix="relatedCompany=(case" suffix="ELSE relatedCompany end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('relatedCompany')) or (colPickMode==1 and !item.containsKey('relatedCompany'))">
                        when a.id=#{item.id} then #{item.relatedCompany}
                    </if>
                </foreach>
            </trim>
            <trim prefix="videoUrl=(case" suffix="ELSE videoUrl end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('videoUrl')) or (colPickMode==1 and !item.containsKey('videoUrl'))">
                        when a.id=#{item.id} then #{item.videoUrl}
                    </if>
                </foreach>
            </trim>
        </trim>
        where id in
        <foreach collection="data.dataList" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </update>
    <!-- 根据主健查询 -->
    <select id="getByKey" parameterType="paramDto" resultMap="NewsEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_news as a
        where a.id=#{condition.id}
    </select>
    <!-- 根据主健删除 -->
    <delete id="deleteByKey" parameterType="paramDto">
        delete a.* from mortals_xhx_news as a where a.id=#{condition.id}
    </delete>
    <!-- 根据主健删除一批，针对单一主健有效 -->
    <delete id="deleteByKeys">
        delete from mortals_xhx_news where id in
        <foreach collection="array" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>
    <!-- 根据主健列表删除一批，针对单一主健有效 -->
    <delete id="deleteByKeyList">
        delete from mortals_xhx_news where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <!-- 根据对象列表删除一批，针对单一主健有效 -->
    <delete id="deleteByEntityList">
        delete from mortals_xhx_news where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </delete>
    <!-- 根据paramDto删除一批 -->
    <delete id="deleteByMap" parameterType="paramDto">
        delete a.* from mortals_xhx_news as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </delete>
    <!-- 获取列表 -->
    <select id="getList" parameterType="paramDto" resultMap="NewsEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_news as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
        <include refid="_orderCols_"/>
    </select>



    <!-- 获取 -->
    <select id="getListCount" parameterType="paramDto" resultType="int">
        select count(1)
        from mortals_xhx_news as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </select>
    <!-- 条件映射 -->
    <sql id="_condition_">
        <if test="condition != null and !condition.isEmpty()">
            <!-- 条件映射-普通条件 -->
            <include refid="_condition_param_">
                <property name="_conditionParam_" value="condition"/>
                <property name="_conditionType_" value="and"/>
            </include>
            <!-- 条件映射-集合之间使用AND，集合中元素使用OR-(list[0].1 or list[0].2) and (list[1].3 or list[1].4) -->
            <if test="condition.containsKey('andConditionList') and !condition.andConditionList.isEmpty()">
                and
                <foreach collection="condition.andConditionList" open="(" close=")" index="index" item="andCondition" separator=" and ">
                    <trim prefixOverrides="or" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="andCondition"/>
                            <property name="_conditionType_" value="or"/>
                        </include>
                    </trim>
                </foreach>
            </if>
            <!-- 条件映射-集合之间使用OR，集合中元素使用AND-(list[0].1 and list[0].2) or (list[1].3 and list[1].4) -->
            <if test="condition.containsKey('orConditionList') and !condition.orConditionList.isEmpty()">
                and
                <foreach collection="condition.orConditionList" open="(" close=")" index="index" item="orCondition" separator=" or ">
                    <trim prefixOverrides="and" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="orCondition"/>
                            <property name="_conditionType_" value="and"/>
                        </include>
                    </trim>
                </foreach>
            </if>
        </if>
    </sql>
    <!-- 条件映射-代参数 -->
    <sql id="_condition_param_">
        <bind name="conditionParamRef" value="${_conditionParam_}"/>
        <if test="permissionSql != null and permissionSql != ''">
            ${permissionSql}
        </if>

        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null">
                ${_conditionType_} a.id=#{${_conditionParam_}.id}
            </if>
        </if>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null ">
                ${_conditionType_} a.id = #{${_conditionParam_}.id}
            </if>
            <if test="conditionParamRef.id == null">
                ${_conditionType_} a.id is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
            ${_conditionType_} a.id in
            <foreach collection="conditionParamRef.idList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idNotList') and conditionParamRef.idNotList.size() > 0">
            ${_conditionType_} a.id not in
            <foreach collection="conditionParamRef.idNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idStart') and conditionParamRef.idStart != null">
            ${_conditionType_} a.id <![CDATA[ >= ]]> #{${_conditionParam_}.idStart}
        </if>
        <if test="conditionParamRef.containsKey('idEnd') and conditionParamRef.idEnd != null">
            ${_conditionType_} a.id <![CDATA[ <= ]]> #{${_conditionParam_}.idEnd}
        </if>

        <if test="conditionParamRef.containsKey('categoryId')">
            <if test="conditionParamRef.categoryId != null ">
                ${_conditionType_} a.categoryId = #{${_conditionParam_}.categoryId}
            </if>
            <if test="conditionParamRef.categoryId == null">
                ${_conditionType_} a.categoryId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('categoryIdList') and conditionParamRef.categoryIdList.size() > 0">
            ${_conditionType_} a.categoryId in
            <foreach collection="conditionParamRef.categoryIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('categoryIdNotList') and conditionParamRef.categoryIdNotList.size() > 0">
            ${_conditionType_} a.categoryId not in
            <foreach collection="conditionParamRef.categoryIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('categoryIdStart') and conditionParamRef.categoryIdStart != null">
            ${_conditionType_} a.categoryId <![CDATA[ >= ]]> #{${_conditionParam_}.categoryIdStart}
        </if>
        <if test="conditionParamRef.containsKey('categoryIdEnd') and conditionParamRef.categoryIdEnd != null">
            ${_conditionType_} a.categoryId <![CDATA[ <= ]]> #{${_conditionParam_}.categoryIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('categoryName')">
            <if test="conditionParamRef.categoryName != null and conditionParamRef.categoryName != ''">
                ${_conditionType_} a.categoryName like #{${_conditionParam_}.categoryName}
            </if>
            <if test="conditionParamRef.categoryName == null">
                ${_conditionType_} a.categoryName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('categoryNameList') and conditionParamRef.categoryNameList.size() > 0">
            ${_conditionType_} a.categoryName in
            <foreach collection="conditionParamRef.categoryNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('categoryNameNotList') and conditionParamRef.categoryNameNotList.size() > 0">
            ${_conditionType_} a.categoryName not in
            <foreach collection="conditionParamRef.categoryNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('title')">
            <if test="conditionParamRef.title != null and conditionParamRef.title != ''">
                ${_conditionType_} a.title like #{${_conditionParam_}.title}
            </if>
            <if test="conditionParamRef.title == null">
                ${_conditionType_} a.title is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('titleList') and conditionParamRef.titleList.size() > 0">
            ${_conditionType_} a.title in
            <foreach collection="conditionParamRef.titleList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('titleNotList') and conditionParamRef.titleNotList.size() > 0">
            ${_conditionType_} a.title not in
            <foreach collection="conditionParamRef.titleNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('titleLogoPath')">
            <if test="conditionParamRef.titleLogoPath != null and conditionParamRef.titleLogoPath != ''">
                ${_conditionType_} a.titleLogoPath like #{${_conditionParam_}.titleLogoPath}
            </if>
            <if test="conditionParamRef.titleLogoPath == null">
                ${_conditionType_} a.titleLogoPath is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('titleLogoPathList') and conditionParamRef.titleLogoPathList.size() > 0">
            ${_conditionType_} a.titleLogoPath in
            <foreach collection="conditionParamRef.titleLogoPathList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('titleLogoPathNotList') and conditionParamRef.titleLogoPathNotList.size() > 0">
            ${_conditionType_} a.titleLogoPath not in
            <foreach collection="conditionParamRef.titleLogoPathNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('content')">
            <if test="conditionParamRef.content != null and conditionParamRef.content != ''">
                ${_conditionType_} a.content like #{${_conditionParam_}.content}
            </if>
            <if test="conditionParamRef.content == null">
                ${_conditionType_} a.content is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('contentList') and conditionParamRef.contentList.size() > 0">
            ${_conditionType_} a.content in
            <foreach collection="conditionParamRef.contentList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('contentNotList') and conditionParamRef.contentNotList.size() > 0">
            ${_conditionType_} a.content not in
            <foreach collection="conditionParamRef.contentNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('top')">
            <if test="conditionParamRef.top != null ">
                ${_conditionType_} a.top = #{${_conditionParam_}.top}
            </if>
            <if test="conditionParamRef.top == null">
                ${_conditionType_} a.top is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('topList') and conditionParamRef.topList.size() > 0">
            ${_conditionType_} a.top in
            <foreach collection="conditionParamRef.topList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('topNotList') and conditionParamRef.topNotList.size() > 0">
            ${_conditionType_} a.top not in
            <foreach collection="conditionParamRef.topNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('topStart') and conditionParamRef.topStart != null">
            ${_conditionType_} a.top <![CDATA[ >= ]]> #{${_conditionParam_}.topStart}
        </if>
        <if test="conditionParamRef.containsKey('topEnd') and conditionParamRef.topEnd != null">
            ${_conditionType_} a.top <![CDATA[ <= ]]> #{${_conditionParam_}.topEnd}
        </if>

        <if test="conditionParamRef.containsKey('viewNums')">
            <if test="conditionParamRef.viewNums != null ">
                ${_conditionType_} a.viewNums = #{${_conditionParam_}.viewNums}
            </if>
            <if test="conditionParamRef.viewNums == null">
                ${_conditionType_} a.viewNums is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('viewNumsList') and conditionParamRef.viewNumsList.size() > 0">
            ${_conditionType_} a.viewNums in
            <foreach collection="conditionParamRef.viewNumsList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('viewNumsNotList') and conditionParamRef.viewNumsNotList.size() > 0">
            ${_conditionType_} a.viewNums not in
            <foreach collection="conditionParamRef.viewNumsNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('viewNumsStart') and conditionParamRef.viewNumsStart != null">
            ${_conditionType_} a.viewNums <![CDATA[ >= ]]> #{${_conditionParam_}.viewNumsStart}
        </if>
        <if test="conditionParamRef.containsKey('viewNumsEnd') and conditionParamRef.viewNumsEnd != null">
            ${_conditionType_} a.viewNums <![CDATA[ <= ]]> #{${_conditionParam_}.viewNumsEnd}
        </if>


        <if test="conditionParamRef.containsKey('publishTime')">
            <if test="conditionParamRef.publishTime != null ">
                ${_conditionType_} a.publishTime = #{${_conditionParam_}.publishTime}
            </if>
            <if test="conditionParamRef.publishTime == null">
                ${_conditionType_} a.publishTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('publishTimeStart') and conditionParamRef.publishTimeStart != null and conditionParamRef.publishTimeStart!=''">
            ${_conditionType_} a.publishTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.publishTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('publishTimeEnd') and conditionParamRef.publishTimeEnd != null and conditionParamRef.publishTimeEnd!=''">
            ${_conditionType_} a.publishTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.publishTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('createUserId')">
            <if test="conditionParamRef.createUserId != null ">
                ${_conditionType_} a.createUserId = #{${_conditionParam_}.createUserId}
            </if>
            <if test="conditionParamRef.createUserId == null">
                ${_conditionType_} a.createUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
            ${_conditionType_} a.createUserId in
            <foreach collection="conditionParamRef.createUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdNotList') and conditionParamRef.createUserIdNotList.size() > 0">
            ${_conditionType_} a.createUserId not in
            <foreach collection="conditionParamRef.createUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdStart') and conditionParamRef.createUserIdStart != null">
            ${_conditionType_} a.createUserId <![CDATA[ >= ]]> #{${_conditionParam_}.createUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('createUserIdEnd') and conditionParamRef.createUserIdEnd != null">
            ${_conditionType_} a.createUserId <![CDATA[ <= ]]> #{${_conditionParam_}.createUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('createTime')">
            <if test="conditionParamRef.createTime != null ">
                ${_conditionType_} a.createTime = #{${_conditionParam_}.createTime}
            </if>
            <if test="conditionParamRef.createTime == null">
                ${_conditionType_} a.createTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createTimeStart') and conditionParamRef.createTimeStart != null and conditionParamRef.createTimeStart!=''">
            ${_conditionType_} a.createTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('createTimeEnd') and conditionParamRef.createTimeEnd != null and conditionParamRef.createTimeEnd!=''">
            ${_conditionType_} a.createTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateUserId')">
            <if test="conditionParamRef.updateUserId != null ">
                ${_conditionType_} a.updateUserId = #{${_conditionParam_}.updateUserId}
            </if>
            <if test="conditionParamRef.updateUserId == null">
                ${_conditionType_} a.updateUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
            ${_conditionType_} a.updateUserId in
            <foreach collection="conditionParamRef.updateUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdNotList') and conditionParamRef.updateUserIdNotList.size() > 0">
            ${_conditionType_} a.updateUserId not in
            <foreach collection="conditionParamRef.updateUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdStart') and conditionParamRef.updateUserIdStart != null">
            ${_conditionType_} a.updateUserId <![CDATA[ >= ]]> #{${_conditionParam_}.updateUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdEnd') and conditionParamRef.updateUserIdEnd != null">
            ${_conditionType_} a.updateUserId <![CDATA[ <= ]]> #{${_conditionParam_}.updateUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('updateTime')">
            <if test="conditionParamRef.updateTime != null ">
                ${_conditionType_} a.updateTime = #{${_conditionParam_}.updateTime}
            </if>
            <if test="conditionParamRef.updateTime == null">
                ${_conditionType_} a.updateTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateTimeStart') and conditionParamRef.updateTimeStart != null and conditionParamRef.updateTimeStart!=''">
            ${_conditionType_} a.updateTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateTimeEnd') and conditionParamRef.updateTimeEnd != null and conditionParamRef.updateTimeEnd!=''">
            ${_conditionType_} a.updateTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('upNums')">
            <if test="conditionParamRef.upNums != null ">
                ${_conditionType_} a.upNums = #{${_conditionParam_}.upNums}
            </if>
            <if test="conditionParamRef.upNums == null">
                ${_conditionType_} a.upNums is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('upNumsList') and conditionParamRef.upNumsList.size() > 0">
            ${_conditionType_} a.upNums in
            <foreach collection="conditionParamRef.upNumsList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('upNumsNotList') and conditionParamRef.upNumsNotList.size() > 0">
            ${_conditionType_} a.upNums not in
            <foreach collection="conditionParamRef.upNumsNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('upNumsStart') and conditionParamRef.upNumsStart != null">
            ${_conditionType_} a.upNums <![CDATA[ >= ]]> #{${_conditionParam_}.upNumsStart}
        </if>
        <if test="conditionParamRef.containsKey('upNumsEnd') and conditionParamRef.upNumsEnd != null">
            ${_conditionType_} a.upNums <![CDATA[ <= ]]> #{${_conditionParam_}.upNumsEnd}
        </if>


        <if test="conditionParamRef.containsKey('editor')">
            <if test="conditionParamRef.editor != null and conditionParamRef.editor != ''">
                ${_conditionType_} a.editor like #{${_conditionParam_}.editor}
            </if>
            <if test="conditionParamRef.editor == null">
                ${_conditionType_} a.editor is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('editorList') and conditionParamRef.editorList.size() > 0">
            ${_conditionType_} a.editor in
            <foreach collection="conditionParamRef.editorList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('editorNotList') and conditionParamRef.editorNotList.size() > 0">
            ${_conditionType_} a.editor not in
            <foreach collection="conditionParamRef.editorNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('shareNums')">
            <if test="conditionParamRef.shareNums != null ">
                ${_conditionType_} a.shareNums = #{${_conditionParam_}.shareNums}
            </if>
            <if test="conditionParamRef.shareNums == null">
                ${_conditionType_} a.shareNums is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('shareNumsList') and conditionParamRef.shareNumsList.size() > 0">
            ${_conditionType_} a.shareNums in
            <foreach collection="conditionParamRef.shareNumsList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('shareNumsNotList') and conditionParamRef.shareNumsNotList.size() > 0">
            ${_conditionType_} a.shareNums not in
            <foreach collection="conditionParamRef.shareNumsNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('shareNumsStart') and conditionParamRef.shareNumsStart != null">
            ${_conditionType_} a.shareNums <![CDATA[ >= ]]> #{${_conditionParam_}.shareNumsStart}
        </if>
        <if test="conditionParamRef.containsKey('shareNumsEnd') and conditionParamRef.shareNumsEnd != null">
            ${_conditionType_} a.shareNums <![CDATA[ <= ]]> #{${_conditionParam_}.shareNumsEnd}
        </if>

        <if test="conditionParamRef.containsKey('deptId')">
            <if test="conditionParamRef.deptId != null ">
                ${_conditionType_} a.deptId = #{${_conditionParam_}.deptId}
            </if>
            <if test="conditionParamRef.deptId == null">
                ${_conditionType_} a.deptId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
            ${_conditionType_} a.deptId in
            <foreach collection="conditionParamRef.deptIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptIdNotList') and conditionParamRef.deptIdNotList.size() > 0">
            ${_conditionType_} a.deptId not in
            <foreach collection="conditionParamRef.deptIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptIdStart') and conditionParamRef.deptIdStart != null">
            ${_conditionType_} a.deptId <![CDATA[ >= ]]> #{${_conditionParam_}.deptIdStart}
        </if>
        <if test="conditionParamRef.containsKey('deptIdEnd') and conditionParamRef.deptIdEnd != null">
            ${_conditionType_} a.deptId <![CDATA[ <= ]]> #{${_conditionParam_}.deptIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('deptName')">
            <if test="conditionParamRef.deptName != null and conditionParamRef.deptName != ''">
                ${_conditionType_} a.deptName like #{${_conditionParam_}.deptName}
            </if>
            <if test="conditionParamRef.deptName == null">
                ${_conditionType_} a.deptName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deptNameList') and conditionParamRef.deptNameList.size() > 0">
            ${_conditionType_} a.deptName in
            <foreach collection="conditionParamRef.deptNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptNameNotList') and conditionParamRef.deptNameNotList.size() > 0">
            ${_conditionType_} a.deptName not in
            <foreach collection="conditionParamRef.deptNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('statement')">
            <if test="conditionParamRef.statement != null and conditionParamRef.statement != ''">
                ${_conditionType_} a.statement like #{${_conditionParam_}.statement}
            </if>
            <if test="conditionParamRef.statement == null">
                ${_conditionType_} a.statement is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('statementList') and conditionParamRef.statementList.size() > 0">
            ${_conditionType_} a.statement in
            <foreach collection="conditionParamRef.statementList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('statementNotList') and conditionParamRef.statementNotList.size() > 0">
            ${_conditionType_} a.statement not in
            <foreach collection="conditionParamRef.statementNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('source')">
            <if test="conditionParamRef.source != null and conditionParamRef.source != ''">
                ${_conditionType_} a.source like #{${_conditionParam_}.source}
            </if>
            <if test="conditionParamRef.source == null">
                ${_conditionType_} a.source is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('sourceList') and conditionParamRef.sourceList.size() > 0">
            ${_conditionType_} a.source in
            <foreach collection="conditionParamRef.sourceList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sourceNotList') and conditionParamRef.sourceNotList.size() > 0">
            ${_conditionType_} a.source not in
            <foreach collection="conditionParamRef.sourceNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('remark')">
            <if test="conditionParamRef.remark != null and conditionParamRef.remark != ''">
                ${_conditionType_} a.remark like #{${_conditionParam_}.remark}
            </if>
            <if test="conditionParamRef.remark == null">
                ${_conditionType_} a.remark is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('remarkList') and conditionParamRef.remarkList.size() > 0">
            ${_conditionType_} a.remark in
            <foreach collection="conditionParamRef.remarkList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('remarkNotList') and conditionParamRef.remarkNotList.size() > 0">
            ${_conditionType_} a.remark not in
            <foreach collection="conditionParamRef.remarkNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('relatedCompany')">
            <if test="conditionParamRef.relatedCompany != null and conditionParamRef.relatedCompany != ''">
                ${_conditionType_} a.relatedCompany like #{${_conditionParam_}.relatedCompany}
            </if>
            <if test="conditionParamRef.relatedCompany == null">
                ${_conditionType_} a.relatedCompany is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('relatedCompanyList') and conditionParamRef.relatedCompanyList.size() > 0">
            ${_conditionType_} a.relatedCompany in
            <foreach collection="conditionParamRef.relatedCompanyList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('relatedCompanyNotList') and conditionParamRef.relatedCompanyNotList.size() > 0">
            ${_conditionType_} a.relatedCompany not in
            <foreach collection="conditionParamRef.relatedCompanyNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('videoUrl')">
            <if test="conditionParamRef.videoUrl != null and conditionParamRef.videoUrl != ''">
                ${_conditionType_} a.videoUrl like #{${_conditionParam_}.videoUrl}
            </if>
            <if test="conditionParamRef.videoUrl == null">
                ${_conditionType_} a.videoUrl is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('videoUrlList') and conditionParamRef.videoUrlList.size() > 0">
            ${_conditionType_} a.videoUrl in
            <foreach collection="conditionParamRef.videoUrlList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('videoUrlNotList') and conditionParamRef.videoUrlNotList.size() > 0">
            ${_conditionType_} a.videoUrl not in
            <foreach collection="conditionParamRef.videoUrlNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
    </sql>
    <sql id="_orderCols_">
        <if test="orderColList != null and !orderColList.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('categoryIdList') and conditionParamRef.categoryIdList.size() > 0">
                field(a.categoryId,
                <foreach collection="conditionParamRef.categoryIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('topList') and conditionParamRef.topList.size() > 0">
                field(a.top,
                <foreach collection="conditionParamRef.topList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('viewNumsList') and conditionParamRef.viewNumsList.size() > 0">
                field(a.viewNums,
                <foreach collection="conditionParamRef.viewNumsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('upNumsList') and conditionParamRef.upNumsList.size() > 0">
                field(a.upNums,
                <foreach collection="conditionParamRef.upNumsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('shareNumsList') and conditionParamRef.shareNumsList.size() > 0">
                field(a.shareNums,
                <foreach collection="conditionParamRef.shareNumsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                field(a.deptId,
                <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <foreach collection="orderColList" open="" close="" index="index" item="item" separator=",">
                    a.${item.colName} ${item.sortKind}
                </foreach>
            </trim>
        </if>
        <if test="(orderColList == null or orderColList.isEmpty()) and orderCol != null and !orderCol.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('categoryIdList') and conditionParamRef.categoryIdList.size() > 0">
                field(a.categoryId,
                <foreach collection="conditionParamRef.categoryIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('topList') and conditionParamRef.topList.size() > 0">
                field(a.top,
                <foreach collection="conditionParamRef.topList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('viewNumsList') and conditionParamRef.viewNumsList.size() > 0">
                field(a.viewNums,
                <foreach collection="conditionParamRef.viewNumsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('upNumsList') and conditionParamRef.upNumsList.size() > 0">
                field(a.upNums,
                <foreach collection="conditionParamRef.upNumsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('shareNumsList') and conditionParamRef.shareNumsList.size() > 0">
                field(a.shareNums,
                <foreach collection="conditionParamRef.shareNumsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                field(a.deptId,
                <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <if test="orderCol.containsKey('id')">
                    a.id
                    <if test='orderCol.id != null and "DESC".equalsIgnoreCase(orderCol.id)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('categoryId')">
                    a.categoryId
                    <if test='orderCol.categoryId != null and "DESC".equalsIgnoreCase(orderCol.categoryId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('categoryName')">
                    a.categoryName
                    <if test='orderCol.categoryName != null and "DESC".equalsIgnoreCase(orderCol.categoryName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('title')">
                    a.title
                    <if test='orderCol.title != null and "DESC".equalsIgnoreCase(orderCol.title)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('titleLogoPath')">
                    a.titleLogoPath
                    <if test='orderCol.titleLogoPath != null and "DESC".equalsIgnoreCase(orderCol.titleLogoPath)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('content')">
                    a.content
                    <if test='orderCol.content != null and "DESC".equalsIgnoreCase(orderCol.content)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('top')">
                    a.top
                    <if test='orderCol.top != null and "DESC".equalsIgnoreCase(orderCol.top)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('viewNums')">
                    a.viewNums
                    <if test='orderCol.viewNums != null and "DESC".equalsIgnoreCase(orderCol.viewNums)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('publishTime')">
                    a.publishTime
                    <if test='orderCol.publishTime != null and "DESC".equalsIgnoreCase(orderCol.publishTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createUserId')">
                    a.createUserId
                    <if test='orderCol.createUserId != null and "DESC".equalsIgnoreCase(orderCol.createUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createTime')">
                    a.createTime
                    <if test='orderCol.createTime != null and "DESC".equalsIgnoreCase(orderCol.createTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateUserId')">
                    a.updateUserId
                    <if test='orderCol.updateUserId != null and "DESC".equalsIgnoreCase(orderCol.updateUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateTime')">
                    a.updateTime
                    <if test='orderCol.updateTime != null and "DESC".equalsIgnoreCase(orderCol.updateTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('upNums')">
                    a.upNums
                    <if test='orderCol.upNums != null and "DESC".equalsIgnoreCase(orderCol.upNums)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('editor')">
                    a.editor
                    <if test='orderCol.editor != null and "DESC".equalsIgnoreCase(orderCol.editor)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('shareNums')">
                    a.shareNums
                    <if test='orderCol.shareNums != null and "DESC".equalsIgnoreCase(orderCol.shareNums)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deptId')">
                    a.deptId
                    <if test='orderCol.deptId != null and "DESC".equalsIgnoreCase(orderCol.deptId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deptName')">
                    a.deptName
                    <if test='orderCol.deptName != null and "DESC".equalsIgnoreCase(orderCol.deptName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('statement')">
                    a.statement
                    <if test='orderCol.statement != null and "DESC".equalsIgnoreCase(orderCol.statement)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('source')">
                    a.source
                    <if test='orderCol.source != null and "DESC".equalsIgnoreCase(orderCol.source)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('remark')">
                    a.remark
                    <if test='orderCol.remark != null and "DESC".equalsIgnoreCase(orderCol.remark)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('relatedCompany')">
                    a.relatedCompany
                    <if test='orderCol.relatedCompany != null and "DESC".equalsIgnoreCase(orderCol.relatedCompany)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('videoUrl')">
                    a.videoUrl
                    <if test='orderCol.videoUrl != null and "DESC".equalsIgnoreCase(orderCol.videoUrl)'>DESC</if>
                    ,
                </if>
            </trim>
        </if>


    </sql>
    <sql id="_group_by_">
        <if test="groupList != null and !groupList.isEmpty()">
            GROUP BY
            <trim suffixOverrides=","  suffix="">
                <foreach collection="groupList" open="" close="" index="index" item="item" separator=",">
                    ${item}
                </foreach>
            </trim>
        </if>
    </sql>
</mapper>